Package org.zkoss.bind.xel

## Class BindXelFactory

- java.lang.Object
- - org.zkoss.xel.zel.ELFactory
  - - org.zkoss.bind.xel.BindXelFactory

- All Implemented Interfaces:
    `ExpressionFactory`
  Direct Known Subclasses:
    `BindXelFactoryEx`

      public class BindXelFactory
      extends ELFactory

  Xel Factory for Binding.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.xel.zel.ELFactory

      `_expf`

    - ### Fields inherited from interface org.zkoss.xel.ExpressionFactory

      `FEATURE_CLASS, FEATURE_FUNCTION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindXelFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ELContext` | `newELContext​(XelContext xelc)` |
    `protected ExpressionFactory` | `newExpressionFactory()` | Returns the EL expression factory.
    `Expression` | `parseExpression​(XelContext xelc, java.lang.String expression, java.lang.Class expectedType)` | Prepares (a.k.a., compiles) an expression.

    - ### Methods inherited from class org.zkoss.xel.zel.ELFactory

      `evaluate, isSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindXelFactory

          public BindXelFactory()

  - ### Method Detail

    - #### parseExpression

          public Expression parseExpression​(XelContext xelc,
                                            java.lang.String expression,
                                            java.lang.Class expectedType)
                                     throws XelException

      Description copied from interface: `ExpressionFactory`
      Prepares (a.k.a., compiles) an expression.
      Specified by:
        `parseExpression` in interface `ExpressionFactory`
      Overrides:
        `parseExpression` in class `ELFactory`
      Parameters:
        `xelc` - the context information to prepare the expression. It can be null, in which case no functions are supported for this invocation.
        `expression` - the expression to be evaluated.
        `expectedType` - the expected type of the result of the evaluation
      Throws:
        `XelException`

    - #### newELContext

          protected ELContext newELContext​(XelContext xelc)

      Overrides:
        `newELContext` in class `ELFactory`

    - #### newExpressionFactory

          protected ExpressionFactory newExpressionFactory()

      Description copied from class: `ELFactory`
      Returns the EL expression factory.

      Default: Use org.zkoss.zel.impl.ExpressionFactoryImpl.

      You might override it to use a different implementation.

      Overrides:
        `newExpressionFactory` in class `ELFactory`